Package ru.bitel.bgbilling.kernel.admin.web.common.bean

# Class WebMenuItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.admin.web.common.bean.WebMenuItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class WebMenuItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebMenuItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount()`
  `boolean`
  `isDefault()`
  `boolean`
  `isSelected()`
  `WebMenuItem`
  `setCount(int count)`
  `WebMenuItem`
  `setDefault(boolean value)`
  `WebMenuItem`
  `setId(int id)`
  Устанавливает id объекта
  `WebMenuItem`
  `setSelected(boolean selected)`
  `WebMenuItem`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### WebMenuItem

    public WebMenuItem()

- ## Method Details

  - ### getCount

    public int getCount()

  - ### isDefault

    public boolean isDefault()

  - ### isSelected

    public boolean isSelected()

  - ### setCount

    public WebMenuItem setCount(int count)

  - ### setDefault

    public WebMenuItem setDefault(boolean value)

  - ### setId

    public WebMenuItem setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setSelected

    public WebMenuItem setSelected(boolean selected)

  - ### setTitle

    public WebMenuItem setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`